=== debian/control ===
Source: ros-iron-catch-ros2
Section: misc
Priority: optional
Maintainer: Nick Morales <ngmorales97@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-rclcpp, ros-iron-ros2launch, ros-iron-std-srvs, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-catch-ros2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-rclcpp, ros-iron-ros2launch, ros-iron-std-srvs, ros-iron-ros-workspace
Description: Catch2 testing framework for ROS 2 unit and integration tests.
